Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoFieldSensor Class Reference
[Sensor classes]

`#include <Inventor/sensors/SoFieldSensor.h>`

Inheritance diagram for SoFieldSensor:

List of all members.

## Detailed Description

The SoFieldSensor class detects changes to a field.

Attach a field to a sensor of this type to put it under surveillance, so you can act upon changes to the field.

## Public Member Functions
| SoFieldSensor (void)
| SoFieldSensor (SoSensorCB *func, void *data)
virtual | ~SoFieldSensor (void)
void | attach (SoField *field)
void | detach (void)
SoField * | getAttachedField (void) const
virtual void | trigger (void)

## Constructor & Destructor Documentation

SoFieldSensor::SoFieldSensor | ( | void |  | ) |

| Constructor.

SoFieldSensor::SoFieldSensor | ( | SoSensorCB * | func,
|  | void * | data
| ) |

| Constructor taking as parameters the sensor callback function and the userdata which will be passed the callback. See also: setFunction(), setData()

SoFieldSensor::~SoFieldSensor | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoFieldSensor::attach | ( | SoField * | field | ) |

| Attach sensor to a field. Whenever the field's value changes, the sensor will be triggered and call the callback function. See also: detach()

void SoFieldSensor::detach | ( | void |  | ) |

| Detach sensor from field. As long as an SoFieldSensor is detached, it will never call its callback function. See also: attach()

SoField * SoFieldSensor::getAttachedField | ( | void |  | ) | const

| Returns a pointer to the field connected to the sensor. See also: attach(), detach()

void SoFieldSensor::trigger | ( | void |  | ) | `[virtual]`

| Trigger the sensor's callback function. Reimplemented from SoDataSensor.

The documentation for this class was generated from the following files:

- SoFieldSensor.h
- SoFieldSensor.cpp